htmlobject_be.h File Reference
`#include <gwenhywfar/tree.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/xmlctx.h>`
`#include <gwenhywfar/htmlprops_be.h>`
`#include <gwenhywfar/htmlctx_be.h>`

Go to the source code of this file.

## Macros

#define | HTML_OBJECT_FLAGS_END_WITH_NEWLINE 0x00000002
#define | HTML_OBJECT_FLAGS_JUSTIFY_BOTTOM 0x00000010
#define | HTML_OBJECT_FLAGS_JUSTIFY_HCENTER 0x00000008
#define | HTML_OBJECT_FLAGS_JUSTIFY_LEFT 0x00000000
#define | HTML_OBJECT_FLAGS_JUSTIFY_RIGHT 0x00000004
#define | HTML_OBJECT_FLAGS_JUSTIFY_TOP 0x00000000
#define | HTML_OBJECT_FLAGS_JUSTIFY_VCENTER 0x00000020
#define | HTML_OBJECT_FLAGS_START_ON_NEWLINE 0x00000001

## Typedefs

typedef struct HTML_OBJECT | HTML_OBJECT
typedef int(* | HTML_OBJECT_LAYOUT_FN) (HTML_OBJECT *o)

## Enumerations

enum | HTML_OBJECT_TYPE { HtmlObjectType_Unknown =0 , HtmlObjectType_Box , HtmlObjectType_Word , HtmlObjectType_OrderedList , HtmlObjectType_UnorderedList , HtmlObjectType_ListEntry , HtmlObjectType_Grid , HtmlObjectType_GridEntry , HtmlObjectType_Control , HtmlObjectType_Image , HtmlObjectType_Count }

## Functions

GWENHYWFAR_API void | HtmlObject_AddFlags (HTML_OBJECT *o, uint32_t fl)
GWENHYWFAR_API void | HtmlObject_Attach (HTML_OBJECT *o)
GWENHYWFAR_API void | HtmlObject_free (HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetConfiguredHeight (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetConfiguredWidth (const HTML_OBJECT *o)
GWENHYWFAR_API uint32_t | HtmlObject_GetFlags (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetHeight (const HTML_OBJECT *o)
GWENHYWFAR_API HTML_OBJECT_TYPE | HtmlObject_GetObjectType (const HTML_OBJECT *o)
GWENHYWFAR_API HTML_PROPS * | HtmlObject_GetProperties (const HTML_OBJECT *o)
GWENHYWFAR_API const char * | HtmlObject_GetText (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetWidth (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetX (const HTML_OBJECT *o)
GWENHYWFAR_API GWEN_XML_CONTEXT * | HtmlObject_GetXmlCtx (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_GetY (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_Layout (HTML_OBJECT *o)
GWENHYWFAR_API HTML_OBJECT * | HtmlObject_new (GWEN_XML_CONTEXT *ctx, HTML_OBJECT_TYPE t)
GWENHYWFAR_API void | HtmlObject_SetConfiguredHeight (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_SetConfiguredWidth (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_SetFlags (HTML_OBJECT *o, uint32_t fl)
GWENHYWFAR_API void | HtmlObject_SetHeight (HTML_OBJECT *o, int i)
GWENHYWFAR_API HTML_OBJECT_LAYOUT_FN | HtmlObject_SetLayoutFn (HTML_OBJECT *o, HTML_OBJECT_LAYOUT_FN fn)
GWENHYWFAR_API void | HtmlObject_SetObjectType (HTML_OBJECT *o, HTML_OBJECT_TYPE t)
GWENHYWFAR_API void | HtmlObject_SetProperties (HTML_OBJECT *o, HTML_PROPS *pr)
GWENHYWFAR_API void | HtmlObject_SetText (HTML_OBJECT *o, const char *s)
GWENHYWFAR_API void | HtmlObject_SetWidth (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_SetX (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_SetY (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_SubFlags (HTML_OBJECT *o, uint32_t fl)

## Macro Definition Documentation

## HTML_OBJECT_FLAGS_END_WITH_NEWLINE

#define HTML_OBJECT_FLAGS_END_WITH_NEWLINE 0x00000002

Definition at line 31 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_BOTTOM

#define HTML_OBJECT_FLAGS_JUSTIFY_BOTTOM 0x00000010

Definition at line 37 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_HCENTER

#define HTML_OBJECT_FLAGS_JUSTIFY_HCENTER 0x00000008

Definition at line 35 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_LEFT

#define HTML_OBJECT_FLAGS_JUSTIFY_LEFT 0x00000000

Definition at line 33 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_RIGHT

#define HTML_OBJECT_FLAGS_JUSTIFY_RIGHT 0x00000004

Definition at line 34 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_TOP

#define HTML_OBJECT_FLAGS_JUSTIFY_TOP 0x00000000

Definition at line 36 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_JUSTIFY_VCENTER

#define HTML_OBJECT_FLAGS_JUSTIFY_VCENTER 0x00000020

Definition at line 38 of file htmlobject_be.h.

## HTML_OBJECT_FLAGS_START_ON_NEWLINE

#define HTML_OBJECT_FLAGS_START_ON_NEWLINE 0x00000001

Definition at line 30 of file htmlobject_be.h.

## Typedef Documentation

## HTML_OBJECT

typedef struct HTML_OBJECT HTML_OBJECT

Definition at line 25 of file htmlobject_be.h.

## HTML_OBJECT_LAYOUT_FN

typedef int(* HTML_OBJECT_LAYOUT_FN) (HTML_OBJECT *o)

Definition at line 41 of file htmlobject_be.h.

## Enumeration Type Documentation

## HTML_OBJECT_TYPE

enum HTML_OBJECT_TYPE

Enumerator
HtmlObjectType_Unknown |
HtmlObjectType_Box |
HtmlObjectType_Word |
HtmlObjectType_OrderedList |
HtmlObjectType_UnorderedList |
HtmlObjectType_ListEntry |
HtmlObjectType_Grid |
HtmlObjectType_GridEntry |
HtmlObjectType_Control |
HtmlObjectType_Image |
HtmlObjectType_Count |

Definition at line 43 of file htmlobject_be.h.

## Function Documentation

## HtmlObject_AddFlags()

GWENHYWFAR_API void HtmlObject_AddFlags | ( | HTML_OBJECT * | o,
|  | uint32_t | fl )

References GWENHYWFAR_API.

## HtmlObject_Attach()

GWENHYWFAR_API void HtmlObject_Attach | ( | HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_free()

GWENHYWFAR_API void HtmlObject_free | ( | HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetConfiguredHeight()

GWENHYWFAR_API int HtmlObject_GetConfiguredHeight | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetConfiguredWidth()

GWENHYWFAR_API int HtmlObject_GetConfiguredWidth | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetFlags()

GWENHYWFAR_API uint32_t HtmlObject_GetFlags | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetHeight()

GWENHYWFAR_API int HtmlObject_GetHeight | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetObjectType()

GWENHYWFAR_API HTML_OBJECT_TYPE HtmlObject_GetObjectType | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetProperties()

GWENHYWFAR_API HTML_PROPS * HtmlObject_GetProperties | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetText()

GWENHYWFAR_API const char * HtmlObject_GetText | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetWidth()

GWENHYWFAR_API int HtmlObject_GetWidth | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetX()

GWENHYWFAR_API int HtmlObject_GetX | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetXmlCtx()

GWENHYWFAR_API GWEN_XML_CONTEXT * HtmlObject_GetXmlCtx | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_GetY()

GWENHYWFAR_API int HtmlObject_GetY | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Layout()

GWENHYWFAR_API int HtmlObject_Layout | ( | HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_new()

GWENHYWFAR_API HTML_OBJECT * HtmlObject_new | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTML_OBJECT_TYPE | t )

References GWENHYWFAR_API.

## HtmlObject_SetConfiguredHeight()

GWENHYWFAR_API void HtmlObject_SetConfiguredHeight | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SetConfiguredWidth()

GWENHYWFAR_API void HtmlObject_SetConfiguredWidth | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SetFlags()

GWENHYWFAR_API void HtmlObject_SetFlags | ( | HTML_OBJECT * | o,
|  | uint32_t | fl )

References GWENHYWFAR_API.

## HtmlObject_SetHeight()

GWENHYWFAR_API void HtmlObject_SetHeight | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SetLayoutFn()

GWENHYWFAR_API HTML_OBJECT_LAYOUT_FN HtmlObject_SetLayoutFn | ( | HTML_OBJECT * | o,
|  | HTML_OBJECT_LAYOUT_FN | fn )

References GWENHYWFAR_API.

## HtmlObject_SetObjectType()

GWENHYWFAR_API void HtmlObject_SetObjectType | ( | HTML_OBJECT * | o,
|  | HTML_OBJECT_TYPE | t )

References GWENHYWFAR_API.

## HtmlObject_SetProperties()

GWENHYWFAR_API void HtmlObject_SetProperties | ( | HTML_OBJECT * | o,
|  | HTML_PROPS * | pr )

References GWENHYWFAR_API.

## HtmlObject_SetText()

GWENHYWFAR_API void HtmlObject_SetText | ( | HTML_OBJECT * | o,
|  | const char * | s )

References GWENHYWFAR_API.

## HtmlObject_SetWidth()

GWENHYWFAR_API void HtmlObject_SetWidth | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SetX()

GWENHYWFAR_API void HtmlObject_SetX | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SetY()

GWENHYWFAR_API void HtmlObject_SetY | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_SubFlags()

GWENHYWFAR_API void HtmlObject_SubFlags | ( | HTML_OBJECT * | o,
|  | uint32_t | fl )

References GWENHYWFAR_API.